Bug 110369 - [CI][SHARDS] igt@kms_plane_scaling@pipe-[abc]-scaler-with-pixel-format - fail - Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width,... , fb->modifier, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0
Summary: [CI][SHARDS] igt@kms_plane_scaling@pipe-[abc]-scaler-with-pixel-format - fail...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Mika Kahola
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-09 11:39 UTC by Martin Peres
Modified: 2019-04-24 13:58 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-04-09 11:39:26 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4933/shard-iclb8/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html

Starting subtest: pipe-B-scaler-with-pixel-format
(kms_plane_scaling:3249) igt_fb-CRITICAL: Test assertion failure function igt_create_fb_with_bo_size, file ../lib/igt_fb.c:1247:
(kms_plane_scaling:3249) igt_fb-CRITICAL: Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, fb->drm_format, fb->modifier, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0
(kms_plane_scaling:3249) igt_fb-CRITICAL: Last errno: 22, Invalid argument
Subtest pipe-B-scaler-with-pixel-format failed.
Comment 2 Martin Peres 2019-04-09 11:41:14 UTC
Assigning Mika to revert his patch and rework his code.
Comment 3 Mika Kahola 2019-04-09 12:12:20 UTC
Earlier we just skipped the test completely if we bumped up with unsupported format. Now, we do pass the rotation test with additional check that was proposed by the patch, but we are failing with the pixel format test. We just need to add similar check on pixel-format test.
Comment 4 Mika Kahola 2019-04-09 12:32:29 UTC
...and the patch is on its way for a CI run and a review

https://patchwork.freedesktop.org/series/59225/
Comment 5 Mika Kahola 2019-04-10 07:24:11 UTC
The patch is now reviewed and pushed upstream. Let's wait for few CI runs to see if the patch fixes this issue.
Comment 6 CI Bug Log 2019-04-10 12:33:09 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_plane_scaling@pipe-[abc]-scaler-with-pixel-format - fail - Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, ..., fb->modifier, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0, Last errno: 22 -}
{+ ICL: igt@kms_plane_scaling@pipe-[abc]-scaler-with-pixel-format - fail - Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, ..., fb->modifier, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0 +}

 No new failures caught with the new filter
Comment 7 Mika Kahola 2019-04-11 12:45:35 UTC
It seems that by adding igt_plane_has_format_mod() check didn't cure the problem. Earlier I proposed a patch to add kernel supported formats on 90/270 rotation check. Maybe we could reconsider adding this check on igt test?

diff --git a/tests/kms_plane_scaling.c b/tests/kms_plane_scaling.c
index 3364073c..2d47c14b 100644
--- a/tests/kms_plane_scaling.c
+++ b/tests/kms_plane_scaling.c
@@ -176,9 +176,25 @@ static const igt_rotation_t rotations[] = {

 static bool can_rotate(data_t *d, unsigned format)
 {
-	if (format == DRM_FORMAT_C8 ||
-	    (intel_gen(d->devid) < 11 && format == DRM_FORMAT_RGB565))
+	switch (format) {
+	case DRM_FORMAT_RGB565:
+		if (intel_gen(d->devid) >= 11)
+			break;
+	/* fall through */
+	case DRM_FORMAT_C8:
+	case DRM_FORMAT_XRGB16161616F:
+	case DRM_FORMAT_XBGR16161616F:
+	case DRM_FORMAT_ARGB16161616F:
+	case DRM_FORMAT_ABGR16161616F:
+	case DRM_FORMAT_Y210:
+	case DRM_FORMAT_Y212:
+	case DRM_FORMAT_Y216:
+	case DRM_FORMAT_XVYU12_16161616:
+	case DRM_FORMAT_XVYU16161616:
 		return false;
+	default:
+		break;
+	}

 	return true;
 }
--
2.17.1
Comment 8 Mika Kahola 2019-04-17 11:17:42 UTC
There's a patch waiting for comments and a review

https://patchwork.freedesktop.org/series/59391/
Comment 9 Lakshmi 2019-04-24 10:50:00 UTC
(In reply to Mika Kahola from comment #8)
> There's a patch waiting for comments and a review
> 
> https://patchwork.freedesktop.org/series/59391/

Mika, What is the current status of this review and bug? Is it resolved now?
Comment 10 Mika Kahola 2019-04-24 10:56:43 UTC
I merged this https://patchwork.freedesktop.org/series/59826/ test change to IGT. We need to wait for couple of CI runs to see, if this change fixes this issue.
Comment 11 Jani Saarinen 2019-04-24 13:57:08 UTC
At least on shards it fixed issues in pre-merge:
  * igt@kms_plane_scaling@pipe-b-scaler-with-rotation:
    - shard-iclb:         [FAIL][41] ([fdo#109052]) -> [PASS][42] +2 similar issues
   [41]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5971/shard-iclb3/igt@kms_plane_scaling@pipe-b-scaler-with-rotation.html
   [42]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2904/shard-iclb6/igt@kms_plane_scaling@pipe-b-scaler-with-rotation.html
Comment 12 Jani Saarinen 2019-04-24 13:58:32 UTC
Should we set this resolved as we just need to wait results 

author	Mika Kahola <mika.kahola@intel.com>	2019-04-23 15:45:27 +0300
committer	Mika Kahola <mika.kahola@intel.com>	2019-04-24 12:46:10 +0300
commit	c48dba1d65bbe7047b616c13eb4f99c3bdc323a9 (patch)
tree	fef98880dc077544677cb1a4b90031208fa9d339
parent	7d46f6e4c94bbf8c30c0910880503571f272898c (diff)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.